Summary:   A subversion client for the KDE with KIO integration.
Name:      kdesvn
Version:   0.14.1
Release:   1%{?dist}
License:   LGPL
Vendor:    Rajko Albrecht <ral@alwins-world.de>
Url:       http://kdesvn.alwins-world.de
Packager:  Rajko Albrecht <ral@alwins-world.de>
Group:     Development/Tools
Source:    kdesvn-%version.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: kdesvn-kioksvn kdesvn-svnqt
Requires: subversion >= 1.2.0
Requires: /usr/bin/dot
BuildPreReq: apr-devel
BuildPreReq: apr-util-devel
BuildPreReq: subversion-devel >= 1.2.0
BuildPreReq: cmake >= 2.4
BuildPreReq: kdelibs-devel >= 3.4

%description
Kdesvn is a subversion client for KDE.
It may used as standalone application or plugin (KPart). Base functions are provided
via a KIO protocoll, too.

%package kiosvn
Requires: kdesvn = %{version}
Group:    Development/Tools
Summary:  A kde-kio integration for subversion based on kdesvn

%description kiosvn
KIO integration (KIO::svn) based on kdesvn alternative protocol name.

%package devel
Group:    Development/Libraries
Summary:  Wrapper lib for subversion QT integration.
Requires: subversion-devel >= 1.2.0
Requires: kdesvn = %{version}
Obsoletes: kdesvn-svnqt-devel

%description devel
Development files for kdesvn.

%prep
%setup
mkdir build
cd build
cmake ../ -DCMAKE_INSTALL_PREFIX=`kde-config --prefix` -DCMAKE_BUILD_TYPE=Release -DLIB_SUFFIX=`kde-config --libsuffix`

%build
cd build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
cd build
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/kdesvn


%files
%{_bindir}/kdesvn
%{_bindir}/kdesvnaskpass
%{_libdir}/*/*part*
%{_datadir}/applications/*
%{_datadir}/apps/kdesvn/*
%{_datadir}/apps/kdesvnpart/*
%{_datadir}/apps/kconf_update/*
%{_datadir}/config.kcfg/*
%{_datadir}/doc/*
%{_datadir}/icons/*
%{_datadir}/locale/*
%{_libdir}/*/kded_kdesvnd.*
%{_datadir}/services/kded/kdesvnd.desktop
%{_datadir}/apps/konqueror/servicemenus/kdesvn*
%{_libdir}/*/kio_ksvn*
%{_datadir}/services/ksvn*.protocol
%{_datadir}/man/man1/*
%{_libdir}/libsvnqt*.so*

%files kiosvn
%{_datadir}/services/svn*.protocol

%files devel
%{_includedir}/svnqt/*

